Class
Pdf
ProbabilityDensityFunction

Pdf

Geometric Pdf | Log-Normal Pdf | Normal Pdf | Uniform Pdf

Pdf<TSpec>
Include Headers
seqan/random.h
Parameters

TSpec | Specialization.

Specializations

Geometric Pdf | Geometric probability density function with p=0.5. This can be implemented efficiently not using any floating point arithmetics. Just bit operations are needed.
Log-Normal Pdf | Log-normal probability density function.
Normal Pdf | Normal probability density function.
Uniform Pdf | Uniform distribution probability density function over a closed interval [min, max].

Metafunctions

Value | Type of the items in the container.

Functions

pickRandomNumber | Pick a random number using a random number generator object, possibly following the given distribution.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45